/* Dictionary Actions */
export const START_CREATING_NEW_DICTIONARY = 'START_CREATING_NEW_DICTIONARY';
export const EDIT_CREATING_DICTIONARY_NAME = 'EDIT_CREATING_DICTIONARY_NAME';
export const DONE_CREATING_NEW_DICTIONARY = 'DONE_CREATING_NEW_DICTIONARY';
export const CREATE_NEW_DICTIONARY_ENTRY = 'CREATE_NEW_DICTIONARY_ENTRY';
export const UPDATE_DICTIONARIES = 'UPDATE_DICTIONARIES';
export const SET_DICTIONARY = 'SET_DICTIONARY';
export const INIT_DICTIONARIES = 'INIT_DICTIONARIES';
export const BACKUP_DICTIONARIES = 'BACKUP_DICTIONARIES';
export const DELETE_CURRENT_DICTIONARY = 'DELETE_CURRENT_DICTIONARY';

/* Map actions */

export const LOAD_COLOR_MAP = 'LOAD_COLOR_MAP';
export const LOAD_COLOR_MAP_DONE = 'LOAD_COLOR_MAP_DONE';
export const SET_ERRORS = 'SET_ERRORS';
export const UPDATE_COLORMAP = 'UPDATE_COLORMAP';
export const BACKUP_STORE = 'BACKUP_STORE';
export const START_CREATING_STORE_ITEM = 'START_CREATING_STORE_ITEM';
export const START_EDITING_STORE_ITEM = 'START_EDITING_STORE_ITEM';
export const EDIT_EXISTING_ITEM = 'EDIT_EXISTING_ITEM';
export const EDIT_CREATING_ITEM = 'EDIT_CREATING_ITEM';
export const CREATE_NEW_STORE_ENTRY = 'CREATE_NEW_STORE_ENTRY';
export const DONE_EDITING_ITEM = 'DONE_EDITING_ITEM';
export const CANCEL_EDITING_ITEM = 'CANCEL_EDITING_ITEM';
export const DELETE_SELECTED_ITEM = 'DELETE_SELECTED_ITEM';

/* Notification actions */

export const SHOW_NOTIFICATION = 'SHOW_NOTIFICATION';
export const SHOW_ERROR_NOTIFICATION = 'SHOW_ERROR_NOTIFICATION';
